@import "../../../../../../../src/shared";

:host {
    $base-height: 50px;

    position: relative;
    display: block;
    margin: $base-gutter 0;
    
    .summary {
        position: relative;
        display: flex;
        flex-direction: row;
        align-items: center;
        cursor: pointer;
        padding-right: 1rem;
    }

    .remove-btn {
        @include button-link('--bb-danger-color', true);
        position: absolute;
        top: calc(50% - .5rem);
        right: 0;
        display: none;
        font-size: 0;
        overflow: hidden;
        width: 1rem;
        height: 1rem;

        &:after {
            visibility: visible;
            content: " \00d7";
            vertical-align: middle;
            font-size: 1.6rem;
            width: 1rem;
            line-height: 1rem;
            display: inline-block;
            position: absolute;
            top: 0;
        }
    }

    &:hover {
        .remove-btn {
            display: block;
        }
    }

    .city-name {
        font-size: 1.5rem;
        width: 45%;
        text-overflow: ellipsis;
        overflow: hidden;
        white-space: nowrap;
        max-width: 300px;
        line-height: $base-height;
        text-align: right;
        margin-right: $base-gutter;
    }

    .weather-data {
        display: flex;
        align-items: center;
        justify-content: left;
        flex: 1;

        & > * {
            margin: 0 $base-gutter;

            &:first-child { margin-left: 0; }
            &:last-child { margin-right: 0; }
        }
    }

    .icon {
        height: $base-height;
        img {
            height: $base-height;
            filter: invert(.15);
        }
    }

    .temperature {
        height: $base-height;
        font-size: $base-height * 0.8;
        min-width: $base-height * 1.3;

        &:after {
            content: "°C";
            font-size: 1rem;
            vertical-align: super;
            padding-left: $base-gutter / 3;
        }
    }

    .wind-direction {
        margin-left: $base-gutter / 2;
        vertical-align: middle;
    }

    .metrics {
        font-size: .75rem;
    }

    .hourly {
        display: flex;
        overflow-x: auto;
        padding-bottom: $base-gutter;
    }
}
